require "minitest/autorun"
require "seiso/import_ldap"

# Author:: Willie Wheeler (mailto:wwheeler@expedia.com)
# Copyright:: Copyright (c) 2014-2015 Expedia, Inc.
# License:: Apache 2.0
class TestImportLdap < MiniTest::Unit::TestCase

  def setup
    ldap_settings = {
      "host" => "ldap.example.com",
      "port" => 389,
      "username" => "some_username",
      "password" => "some_p@ssword",
      "tree_base" => "OU=All,DC=foo,DC=bar,DC=example,DC=com",
      "person_filter" => "(&(objectClass=organizationalPerson)(department=Engineering))"
    }
    seiso_settings = {
      "host" => "seiso.example.com",
      "port" => 443,
      "use_ssl" => true,
      "ignore_cert" => false,
      "username" => "some_username",
      "password" => "some_p@ssword"
    }
    @importer = Seiso::ImportLdap.new(ldap_settings, seiso_settings)
  end

  def test_import_all
    # FIXME Need to mock out the LDAP connector!
    # Right now the importer is creating its own, and trying to invoke it with the test credentials.
#    @importer.import_all
  end
end
